=== debian/changelog ===
system-image-snappy (2.5.1-0ubuntu2) vivid; urgency=low

  * fix incorrect XB- header, thanks to Steve Slangasek
  * fix leftover debug message in debian/rules, thanks to Steve Slangasek

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Apr 2015 15:34:59 -0400

system-image-snappy (2.5.1-0ubuntu1) vivid; urgency=low

  * rename to system-image-snappy, conflict against system-image

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Apr 2015 12:03:16 -0400

system-image (2.5-0ubuntu1+ppa22) vivid; urgency=low

  * write --machine-readable json unbuffered

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 04 Mar 2015 10:19:40 +0100

system-image (2.5-0ubuntu1+ppa21) vivid; urgency=low

  * send errors via --machine-readable as well

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Feb 2015 10:13:13 +0100

system-image (2.5-0ubuntu1+ppa20) vivid; urgency=low

  * make machine_readable output real json

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 25 Feb 2015 20:20:38 +0100

system-image (2.5-0ubuntu1+ppa19) vivid; urgency=low

  * fix crash when config.machine_readable is not defined

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Feb 2015 16:21:01 +0100

system-image (2.5-0ubuntu1+ppa18) vivid; urgency=low

  * fix bug in download progress reporting in the pycurl backend

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Feb 2015 12:55:15 +0100

system-image (2.5-0ubuntu1+ppa17) vivid; urgency=low

  * add "--machine-readable" switch that will print json with PROGRESS,
    SPINNER and ERROR data

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Feb 2015 09:53:31 +0100

system-image (2.5-0ubuntu1+ppa16) vivid; urgency=medium

  * Invalidate the update cache and release the checking lock if acquired,
    when the D-Bus method ReloadConfiguration() is called.  This ensures
    that another full check will be performed.   (LP: #1412698)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 20 Jan 2015 11:06:51 -0500

system-image (2.5-0ubuntu1+ppa15) vivid; urgency=medium

  [ Barry Warsaw ]
  * Added D-Bus API ReloadConfiguration() which takes a path to the new
    client.ini file.  A channel.ini file can live next to that.  Using
    this method will reload the configuration, e.g. to the B partition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 14 Jan 2015 15:37:29 -0800

system-image (2.5-0ubuntu1+ppa14) vivid; urgency=medium

  * From userdata to writable

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Fri, 28 Nov 2014 13:37:23 -0300

system-image (2.5-0ubuntu1+ppa13) vivid; urgency=low

  * do not show exception log if "getprop" is not available
    (e.g. on snappy)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Nov 2014 09:10:18 +0100

system-image (2.5-0ubuntu1+ppa12) vivid; urgency=low

  * use /etc/machine-id if available
    (lp:~mvo/ubuntu-system-image/machine-id-fallback)
  * merge latest lp:system-image

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Nov 2014 18:11:14 +0100

system-image (2.5-0ubuntu1+ppa10) utopic; urgency=low

  * disable testsuite

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Oct 2014 17:21:54 +0200

system-image (2.5-0ubuntu1+ppa9) utopic; urgency=low

  * systemimage/data/client.ini:
    - use ubuntucoreupgrader.apply.ApplyUpgrade as the reboot hook

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Oct 2014 14:25:28 +0200

system-image (2.5-0ubuntu1+ppa8) utopic; urgency=low

  * the curl handle "dltotal" property is not always available

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Oct 2014 16:08:29 +0200

system-image (2.5-0ubuntu1+ppa7) utopic; urgency=low

  * do not fail if u-d-m is not available

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Oct 2014 13:16:20 +0200

system-image (2.5-0ubuntu1+ppa6) utopic; urgency=low

  * fix tests (/android/ -> /userdata/)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 06 Oct 2014 15:22:28 +0200

system-image (2.5-0ubuntu1+ppa5) utopic; urgency=low

  * systemimage/data/client.ini:
    - set cache_parition to /userdata/cache/

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Oct 2014 15:29:39 +0200

system-image (2.5-0ubuntu1+ppa4) utopic; urgency=low

  * crazy hack to workaround missing Task header

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 01 Oct 2014 16:09:32 +0200

system-image (2.5-0ubuntu1+ppa3) utopic; urgency=low

  * set no_proxy="localhost,127.0.0.1" before the build

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Sep 2014 17:37:01 +0200

system-image (2.5-0ubuntu1+ppa2) utopic; urgency=low

  * add missing python3-pycurl build-dependency

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Sep 2014 15:46:05 +0200

system-image (2.5-0ubuntu1+ppa1) utopic; urgency=low

  * use pycurl based downloader for the ubuntu-core-image, build
    from lp:~mvo/ubuntu-system-image/pycurl

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Sep 2014 14:59:23 +0200

system-image (2.4-0ubuntu1) utopic; urgency=medium

  [ Barry Warsaw ]
  * New upstream release.
    - LP: #1353178 - The channel.ini file can override the device name by
      setting `[service]device`.
    - LP: #1324241 - Add optional instrumentation to collect code coverage
      data during test suite run via tox.
    - LP: #1279970 - When an exception occurs in a `system-image-dbus`
      D-Bus method, signal, or callback, this exception is logged in the
      standard log file, and the process exits.  Also, `[system]loglevel`
      can now take an optional ":level" prefix which can be used to set
      the log level for the D-Bus API methods.  By default, they log at
      `ERROR` level, but can be set lower for debugging purposes.
    - LP: #1365646 - Don't crash when releasing an unacquired checking lock.
    - LP: #1365761 - When checking files for `last_update_date()` ignore
      PermissionErrors and just keep checking the fall backs.
    - LP: #1369714 - `system-image-cli --dbus` has been deprecated and
      will be removed in the future.

