=== debian/control ===
Source: system-image-snappy
Maintainer: Michael Vogt <mvo@ubuntu.com>
Homepage: https://wiki.ubuntu.com/ImageBasedUpgrades
Section: python
X-Python3-Version: >= 3.4
Priority: optional
Build-Depends: dbus,
               dbus-x11,
               debhelper (>= 8),
               dh-python,
               python-docutils,
               python3-all (>= 3.3),
               python3-dbus,
               python3-gi,
               python3-gnupg,
               python3-nose2,
               python3-pkg-resources,
               python3-psutil,
               python3-setuptools,
               python3-xdg,
               ubuntu-download-manager,
               python3-pycurl
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
X-Auto-Uploader: no-rewrite-version

Package: system-image-snappy-cli
Architecture: all
Depends: system-image-snappy-common (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Conflicts: system-image-cli
Description: Ubuntu system image updater command line client - snappy version
 This is the command line client for the Ubuntu system image updater.

Package: system-image-snappy-common
Architecture: all
Depends: python3-dbus,
         python3-gi,
         python3-gnupg,
         python3-pkg-resources,
         python3-xdg,
         python3-pycurl,
         ${misc:Depends},
         ${python3:Depends}
Conflicts: system-image-common
Description: Ubuntu system image updater - snappy version
 This is the common bits for the Ubuntu system image updater.
