=== debian/rules ===
#!/usr/bin/make -f

PYTHON3=$(shell py3versions -dvr)

#DH_VERBOSE=1
#DEB_BUILD_OPTIONS=nocheck

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	#unset http_proxy; unset https_proxy; \
	#export no_proxy="localhost,127.0.0.1"; \
	#export SYSTEMIMAGE_REACTOR_TIMEOUT=1200; \
	#export SYSTEMIMAGE_DBUS_DAEMON_HUP_SLEEP_SECONDS=2; \
	#PYBUILD_SYSTEM=custom \
	#PYBUILD_TEST_ARGS="{interpreter} -m nose2 -v" dh_auto_test

# pybuild can't yet handle Python 3 packages that don't start with "python3-".
# See bug #751908 - In the meantime, this override isn't perfect, but it gets
# close enough.
override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_install:
	dh_install -Xsystemimage/tests -Xsystemimage/testing \
		   -p system-image-snappy-common usr/lib/python3.?
	dh_install -p system-image-snappy-dev \
		   usr/lib/python3.?/dist-packages/systemimage/tests
	dh_install -p system-image-snappy-dev \
		   usr/lib/python3.?/dist-packages/systemimage/testing
	dh_install -p system-image-snappy-cli usr/bin/system-image-cli
	dh_install -p system-image-snappy-common \
		    debian/archive-master.tar.xz etc/system-image
	dh_install -p system-image-snappy-common \
		   debian/archive-master.tar.xz.asc etc/system-image
	dh_install -p system-image-snappy-common \
		   systemimage/data/client.ini etc/system-image
	#dh_install -p system-image-snappy-dbus usr/bin/system-image-dbus usr/sbin
	dh_install -p system-image-snappy-dbus \
		   systemimage/data/com.canonical.SystemImage.service \
		   usr/share/dbus-1/system-services
	dh_install -p system-image-snappy-dbus \
		   systemimage/data/com.canonical.SystemImage.conf \
		   etc/dbus-1/system.d

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS.rst

override_dh_installman:
	rst2man cli-manpage.rst > debian/tmp/system-image-cli.man
	rst2man dbus-manpage.rst > debian/tmp/system-image-dbus.man
	rst2man ini-manpage.rst > debian/tmp/client-ini.man
	dh_installman
